### Enumeration

# Gio FileCopyFlags

#### Declaration

    flags Gio.FileCopyFlags

#### Description [src]

Flags used when copying or moving files.

#### Members

Name | Description
--- | ---
`G_FILE_COPY_NONE` | No flags set.
`G_FILE_COPY_OVERWRITE` | Overwrite any existing files.
`G_FILE_COPY_BACKUP` | Make a backup of any existing files.
`G_FILE_COPY_NOFOLLOW_SYMLINKS` | Don’t follow symlinks.
`G_FILE_COPY_ALL_METADATA` | Copy all file metadata instead of just default set used for copy (see `GFileInfo`).
`G_FILE_COPY_NO_FALLBACK_FOR_MOVE` | Don’t use copy and delete fallback if native move not supported.
`G_FILE_COPY_TARGET_DEFAULT_PERMS` | Leaves target file with default perms, instead of setting the source file perms.
`G_FILE_COPY_TARGET_DEFAULT_MODIFIED_TIME` | Use default modification timestamps instead of copying them from the source file. Since 2.80